Pause endpoint
const url = 'https://api.hookbridge.io/v1/endpoints/ep_550e8400e29b41d4a716446655440000/pause';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.hookbridge.io/v1/endpoints/ep_550e8400e29b41d4a716446655440000/pause \ --header 'Authorization: Bearer <token>'Pause an endpoint. While paused, messages sent to this endpoint will be accepted and stored
but not delivered. Messages queued during pause are transitioned to paused status.
Use the resume endpoint to re-enable delivery and requeue paused messages.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Endpoint identifier (ep_ prefix + 32 hex chars)
Example
ep_550e8400e29b41d4a716446655440000Responses
Section titled “Responses”Endpoint paused successfully
object
object
Endpoint identifier
Whether the endpoint is paused (always true on success)
object
Unique identifier for this request (useful for support)
Example
{ "data": { "id": "ep_550e8400e29b41d4a716446655440000", "paused": true }, "meta": { "request_id": "req_xyz123" }}Invalid request
object
object
Machine-readable error code
Human-readable error message
object
Unique identifier for this request (useful for support)
Examples
Endpoint not found
{ "error": { "code": "ENDPOINT_NOT_FOUND", "message": "endpoint not found" }, "meta": { "request_id": "req_xyz123" }}Invalid endpoint ID format
{ "error": { "code": "INVALID_REQUEST", "message": "endpoint_id must be in format ep_xxx" }, "meta": { "request_id": "req_xyz123" }}Invalid payload
{ "error": { "code": "INVALID_REQUEST", "message": "payload must be valid JSON" }, "meta": { "request_id": "req_xyz123" }}Invalid headers
{ "error": { "code": "INVALID_HEADERS", "message": "header 'Host' is forbidden and cannot be overridden" }, "meta": { "request_id": "req_xyz123" }}Unauthorized - Invalid or missing API key
object
object
Machine-readable error code
Human-readable error message
object
Unique identifier for this request (useful for support)
Example
{ "error": { "code": "UNAUTHORIZED", "message": "Invalid or missing API key" }, "meta": { "request_id": "req_xyz123" }}Resource not found
object
object
Machine-readable error code
Human-readable error message
object
Unique identifier for this request (useful for support)
Example
{ "error": { "code": "NOT_FOUND", "message": "Message not found" }, "meta": { "request_id": "req_xyz123" }}Endpoint is already paused
object
object
Machine-readable error code
Human-readable error message
object
Unique identifier for this request (useful for support)
Example
{ "error": { "code": "ALREADY_PAUSED", "message": "Endpoint is already paused" }, "meta": { "request_id": "req_xyz123" }}Enter your credentials to populate code examples throughout the docs.